<!DOCTYPE html>
<html><head>
<title>eric7.PipInterface.PipPackagesWindow</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.PipInterface.PipPackagesWindow</h1>
<p>
Module implementing the standalone pip packages management window.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#PipPackagesWindow">PipPackagesWindow</a></td>
<td>Main window class for the standalone  pip packages manager.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="PipPackagesWindow" ID="PipPackagesWindow"></a>
<h2>PipPackagesWindow</h2>
<p>
    Main window class for the standalone  pip packages manager.
</p>

<h3>Derived from</h3>
EricMainWindow
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#PipPackagesWindow.__init__">PipPackagesWindow</a></td>
<td>Constructor</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="PipPackagesWindow.__init__" ID="PipPackagesWindow.__init__"></a>
<h4>PipPackagesWindow (Constructor)</h4>
<b>PipPackagesWindow</b>(<i>parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
